import { UiFieldEditingMode } from "../../generated/UiFieldEditingMode";
import { UiField } from "./UiField";
import { UiComponent } from "../UiComponent";
import { TeamAppsUiContext } from "../TeamAppsUiContext";
import { UiComponentFieldConfig, UiComponentFieldCommandHandler, UiComponentFieldEventSource } from "../../generated/UiComponentFieldConfig";
import { UiColorConfig } from "../../generated/UiColorConfig";
import { UiBorderConfig } from "../../generated/UiBorderConfig";
export declare class UiComponentField extends UiField<UiComponentFieldConfig, void> implements UiComponentFieldEventSource, UiComponentFieldCommandHandler {
    private component;
    private $componentWrapper;
    protected initialize(config: UiComponentFieldConfig, context: TeamAppsUiContext): void;
    isValidData(v: void): boolean;
    setBackgroundColor(backgroundColor: UiColorConfig): void;
    setBorder(border: UiBorderConfig): void;
    setComponent(component: UiComponent): void;
    setSize(width: number, height: number): void;
    protected onAttachedToDom(): void;
    getMainInnerDomElement(): JQuery;
    getFocusableElement(): JQuery;
    protected displayCommittedValue(): void;
    focus(): void;
    doDestroy(): void;
    getTransientValue(): void;
    protected onEditingModeChanged(editingMode: UiFieldEditingMode): void;
    getDefaultValue(): void;
    valuesChanged(v1: void, v2: void): boolean;
    onResize(): void;
}
